Package org.eclipse.net4j.signal.security

# Class AuthenticationRequest

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalActor
org.eclipse.net4j.signal.RequestWithConfirmation<RESULT>
org.eclipse.net4j.signal.RequestWithMonitoring<org.eclipse.net4j.util.security.DiffieHellman.Client.Response>
org.eclipse.net4j.signal.security.AuthenticationRequest

All Implemented Interfaces:
  `Runnable`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

public class AuthenticationRequest extends RequestWithMonitoring<org.eclipse.net4j.util.security.DiffieHellman.Client.Response>

Since:
  4.3
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

`DEFAULT_CANCELATION_POLL_INTERVAL, DEFAULT_MONITOR_PROGRESS_SECONDS, DEFAULT_MONITOR_TIMEOUT_SECONDS`

### Fields inherited from class org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationRequest(SignalProtocol<?> protocol, short id, String name, org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge)`
`AuthenticationRequest(SignalProtocol<?> protocol, short signalID, org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge)`
`AuthenticationRequest(SignalProtocol<?> protocol, Enum<?> literal, org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge)`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.net4j.util.security.DiffieHellman.Client.Response`
`confirming(org.eclipse.net4j.util.io.ExtendedDataInputStream in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Important Note: The confirmation must not be empty, i.e.
`protected void`
`requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

### Methods inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

`confirming, getCancelationExecutorService, getCancelationPollInterval, getConfirmingWorkPercent, getMonitorProgressSeconds, getMonitorTimeoutSeconds, getRequestingWorkPercent, requesting, send, send, send, send, sendAsync, sendAsync`

### Methods inherited from class org.eclipse.net4j.signal.RequestWithConfirmation

`getAsyncExecutorService, onRemoteException`

### Methods inherited from class org.eclipse.net4j.signal.SignalActor

`execute`

### Methods inherited from class org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getContainer, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationRequest

public AuthenticationRequest(SignalProtocol<?> protocol, short id, String name, org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge)

### AuthenticationRequest

public AuthenticationRequest(SignalProtocol<?> protocol, short signalID, org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge)

### AuthenticationRequest

public AuthenticationRequest(SignalProtocol<?> protocol, Enum<?> literal, org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge)

## Method Details

### requesting

protected void requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out, org.eclipse.net4j.util.om.monitor.OMMonitor monitor) throws Exception

Specified by:
  `requesting` in class `RequestWithMonitoring<org.eclipse.net4j.util.security.DiffieHellman.Client.Response>`
Throws:
  `Exception`

### confirming

protected org.eclipse.net4j.util.security.DiffieHellman.Client.Response confirming(org.eclipse.net4j.util.io.ExtendedDataInputStream in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor) throws Exception
Description copied from class: `RequestWithMonitoring`
Important Note: The confirmation must not be empty, i.e. the stream must be used at least to read a `boolean`. Otherwise synchronization problems will result!

Specified by:
  `confirming` in class `RequestWithMonitoring<org.eclipse.net4j.util.security.DiffieHellman.Client.Response>`
Throws:
  `Exception`